### Hierarchy

- StyleDefaults

## Index

### Properties

- animationDuration
- borderColor
- item
- majorAxis
- minorAxis
- overview
- referenceObject
- series

## Properties

### animationDuration

animationDuration: number

The duration of the animations in milliseconds.

### borderColor

borderColor: string

The border color of the timeline.

### item

item: StyleDefaultsItem

An object defining the default styling for this timeline's items.

### majorAxis

majorAxis: StyleDefaultsMajorAxis

An object defining the default styling for this timeline's major axis.

### minorAxis

minorAxis: StyleDefaultsMinorAxis

An object defining the default styling for this timeline's minor axis.

### overview

overview: StyleDefaultsOverview

An object defining the default styling for this timeline's overview.

### referenceObject

referenceObject: StyleDefaultsReferenceObject

An object defining the default styling for this timeline's reference objects.

### series

series: StyleDefaultsSeries

An object defining the default styling for this timeline's series.

Generated using TypeDoc